import {NgModule} from '@angular/core';
import {Routes, RouterModule, PreloadAllModules} from '@angular/router';
import {ErrorPageComponent} from './openaireLibrary/error/errorPage.component';
import {PreviousRouteRecorder} from './openaireLibrary/utils/piwik/previousRouteRecorder.guard';

const appRoutes: Routes = [
  {
    path: '',
    loadChildren: './home/home.module#HomeModule',
    data: {
      isHome: true
    }, canDeactivate: [PreviousRouteRecorder]
  },
  {
    path: 'resources',
    loadChildren: './resources/resources.module#ResourcesModule',
    canDeactivate: [PreviousRouteRecorder]
  },
  {
    path: 'support',
    loadChildren: './contact/contact.module#ContactModule',
    canDeactivate: [PreviousRouteRecorder]
  },
  {
    path: 'about',
    loadChildren: './about/about.module#AboutModule',
    canDeactivate: [PreviousRouteRecorder]
  },
  { path: '**',pathMatch: 'full',component: ErrorPageComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(appRoutes, {
    preloadingStrategy: PreloadAllModules,
    onSameUrlNavigation: "reload",
    relativeLinkResolution: 'corrected'
  })],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
